﻿
using System;
using System.ComponentModel;
using Wisej.Web;

namespace Wisej.DataBoundCheckedListBox
{
	public partial class Page1 : Page
	{
		private BindingList<DataItem> data;

		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			this.data = new BindingList<DataItem>();
			data.Add(new DataItem() { ID = 1, Name = "Name 1", Admin = false });
			data.Add(new DataItem() { ID = 2, Name = "Name 2", Admin = true });
			data.Add(new DataItem() { ID = 3, Name = "Name 3", Admin = false });
			data.Add(new DataItem() { ID = 4, Name = "Name 4", Admin = true });


			//(new[] {
			//	new DataItem(){ID=1,Name="Name 1", Admin = false },
			//	new DataItem(){ID=2,Name="Name 2", Admin = true },
			//	new DataItem(){ID=3,Name="Name 3", Admin = false },
			//	new DataItem(){ID=4,Name="Name 4", Admin = true },
			//});

			this.dataBoundCheckedListBox1.DisplayMember = "Name";
			this.dataBoundCheckedListBox1.ValueMember = "ID";
			this.dataBoundCheckedListBox1.CheckStateMember = "Admin";
			this.dataBoundCheckedListBox1.DataSource = data;
		}

		private class DataItem
		{
			public int ID { get; set; }
			public string Name { get; set; }
			public bool Admin { get; set; }
		}

		private void button1_Click(object sender, EventArgs e)
		{
			var index = this.dataBoundCheckedListBox1.SelectedIndex;
			this.data[index].Admin = !this.data[index].Admin;
			this.data.ResetBindings();
		}

		private void button2_Click(object sender, EventArgs e)
		{
			var index = this.dataBoundCheckedListBox1.SelectedIndex;
			AlertBox.Show(this.data[index].Admin.ToString());
		}
	}
}
